<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>DoubleArrayList (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DoubleArrayList (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.Entry.html" title="class in com.sk89q.worldedit.util.collection"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/collection/DoubleArrayList.html" target="_top">Frames</a></li>
<li><a href="DoubleArrayList.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.util.collection</div>
<h2 title="Class DoubleArrayList" class="title">Class DoubleArrayList&lt;A,B&gt;</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.util.collection.DoubleArrayList&lt;A,B&gt;</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Iterable&lt;java.util.Map.Entry&lt;A,B&gt;&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DoubleArrayList&lt;A,B&gt;</span>
extends java.lang.Object
implements java.lang.Iterable&lt;java.util.Map.Entry&lt;A,B&gt;&gt;</pre>
<div class="block">Double array lists to work like a Map, but not really.

 <p>The usefulness of this class is highly questionable.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.Entry.html" title="class in com.sk89q.worldedit.util.collection">DoubleArrayList.Entry</a>&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.Entry.html" title="type parameter in DoubleArrayList.Entry">C</a>,<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.Entry.html" title="type parameter in DoubleArrayList.Entry">D</a>&gt;</span></code>
<div class="block">Class to masquerade as Map.Entry.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.ForwardEntryIterator.html" title="class in com.sk89q.worldedit.util.collection">DoubleArrayList.ForwardEntryIterator</a>&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.ForwardEntryIterator.html" title="type parameter in DoubleArrayList.ForwardEntryIterator">T</a> extends java.util.Map.Entry&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">A</a>,<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">B</a>&gt;&gt;</span></code>
<div class="block">Entry iterator.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.ReverseEntryIterator.html" title="class in com.sk89q.worldedit.util.collection">DoubleArrayList.ReverseEntryIterator</a>&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.ReverseEntryIterator.html" title="type parameter in DoubleArrayList.ReverseEntryIterator">T</a> extends java.util.Map.Entry&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">A</a>,<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">B</a>&gt;&gt;</span></code>
<div class="block">Entry iterator.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html#DoubleArrayList-boolean-">DoubleArrayList</a></span>(boolean&nbsp;isReversed)</code>
<div class="block">Construct the object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html#clear--">clear</a></span>()</code>
<div class="block">Clear the list.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.Iterator&lt;java.util.Map.Entry&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">A</a>,<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">B</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html#iterator--">iterator</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.util.Iterator&lt;java.util.Map.Entry&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">A</a>,<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">B</a>&gt;&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html#iterator-boolean-">iterator</a></span>(boolean&nbsp;reversed)</code>
<div class="block">Get an entry set.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html#put-A-B-">put</a></span>(<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">A</a>&nbsp;a,
   <a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">B</a>&nbsp;b)</code>
<div class="block">Add an item.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html#size--">size</a></span>()</code>
<div class="block">Get size.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
<code>forEach, spliterator</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DoubleArrayList-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DoubleArrayList</h4>
<pre>public&nbsp;DoubleArrayList(boolean&nbsp;isReversed)</pre>
<div class="block">Construct the object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isReversed</code> - true if the list should be reversed</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="put-java.lang.Object-java.lang.Object-">
<!--   -->
</a><a name="put-A-B-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>put</h4>
<pre>public&nbsp;void&nbsp;put(<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">A</a>&nbsp;a,
                <a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">B</a>&nbsp;b)</pre>
<div class="block">Add an item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>a</code> - the first item</dd>
<dd><code>b</code> - the second item</dd>
</dl>
</li>
</ul>
<a name="size--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>size</h4>
<pre>public&nbsp;int&nbsp;size()</pre>
<div class="block">Get size.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>count of objects</dd>
</dl>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public&nbsp;void&nbsp;clear()</pre>
<div class="block">Clear the list.</div>
</li>
</ul>
<a name="iterator-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>iterator</h4>
<pre>public&nbsp;java.util.Iterator&lt;java.util.Map.Entry&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">A</a>,<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">B</a>&gt;&gt;&nbsp;iterator(boolean&nbsp;reversed)</pre>
<div class="block">Get an entry set.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>entry set</dd>
</dl>
</li>
</ul>
<a name="iterator--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>iterator</h4>
<pre>public&nbsp;java.util.Iterator&lt;java.util.Map.Entry&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">A</a>,<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">B</a>&gt;&gt;&nbsp;iterator()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;java.util.Map.Entry&lt;<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">A</a>,<a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.html" title="type parameter in DoubleArrayList">B</a>&gt;&gt;</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/util/collection/DoubleArrayList.Entry.html" title="class in com.sk89q.worldedit.util.collection"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/util/collection/DoubleArrayList.html" target="_top">Frames</a></li>
<li><a href="DoubleArrayList.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
